# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-03-14 21:04
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('whoisdb', '0013_auto_20170303_1206'),
    ]

    operations = [
        migrations.CreateModel(
            name='Domain',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now_add=True)),
                ('name', models.CharField(db_index=True, max_length=67, unique=True)),
                ('admin_c', models.ManyToManyField(to='whoisdb.Contact')),
                ('mnt_by', models.ManyToManyField(to='whoisdb.Maintainer')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Nameserver',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now_add=True)),
                ('name', models.CharField(max_length=256, unique=True)),
                ('glueIPv4', models.GenericIPAddressField(blank=True, null=True, protocol='IPv4')),
                ('glueIPv6', models.GenericIPAddressField(blank=True, null=True, protocol='IPv6')),
                ('admin_c', models.ManyToManyField(to='whoisdb.Contact')),
                ('mnt_by', models.ManyToManyField(to='whoisdb.Maintainer')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ReverseZone',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('address', models.GenericIPAddressField(db_index=True)),
                ('netmask', models.PositiveIntegerField()),
                ('nameservers', models.ManyToManyField(to='domains.Nameserver')),
                ('parentNet', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='whoisdb.InetNum')),
            ],
        ),
        migrations.AddField(
            model_name='domain',
            name='nameservers',
            field=models.ManyToManyField(blank=True, to='domains.Nameserver'),
        ),
    ]
